#
# quick1.rb
#
# $Id: quick1.rb,v 1.1 2000/11/21 03:15:43 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 50

x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1)

#-- data ----
x.indgen!(0.0, 1.0)
r    = 3.7
y[0] = 0.5
for n in 0..nmax-1
  y[n+1] = r*y[n]*(1.0-y[n])
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

usgrph(nmax+1, x, y)

grcls

